package com.iamberry.wechat.core.entity.rewards;

import java.io.Serializable;
import java.util.Date;

import com.iamberry.wechat.core.entity.product.ProductType;

/**
 * 会员等级表 实体
 * 2016年9月20日
 * @author Administrator
 *
 */
public class RewardsRank implements Serializable{
	/**
	 * 
	 */
	private static final long serialVersionUID = 5623214013627816034L;
	
	private Integer rankId;			//id
	private String rankName;		//等级名称
	private String rankDesc;		//等级描述
	private Integer rankNum;		//达标数量		会员等级对应的销售数量
	private Integer rankMoney;		//奖励金额/每台
	
	private ProductType productType = new ProductType();		//产品类型
	private Date rankCreateDate;			//创建时间
	private Date rankUpdateDate;			//更新时间
	
	public Integer getRankId() {
		return rankId;
	}
	public void setRankId(Integer rankId) {
		this.rankId = rankId;
	}
	public String getRankName() {
		return rankName;
	}
	public void setRankName(String rankName) {
		this.rankName = rankName;
	}
	public String getRankDesc() {
		return rankDesc;
	}
	public void setRankDesc(String rankDesc) {
		this.rankDesc = rankDesc;
	}
	public Integer getRankNum() {
		return rankNum;
	}
	public void setRankNum(Integer rankNum) {
		this.rankNum = rankNum;
	}
	public Integer getRankMoney() {
		return rankMoney;
	}
	public void setRankMoney(Integer rankMoney) {
		this.rankMoney = rankMoney;
	}
	public ProductType getProductType() {
		return productType;
	}
	public void setProductType(ProductType productType) {
		this.productType = productType;
	}
	public Date getRankCreateDate() {
		return rankCreateDate;
	}
	public void setRankCreateDate(Date rankCreateDate) {
		this.rankCreateDate = rankCreateDate;
	}
	public Date getRankUpdateDate() {
		return rankUpdateDate;
	}
	public void setRankUpdateDate(Date rankUpdateDate) {
		this.rankUpdateDate = rankUpdateDate;
	}
	
}
